easy_install 和 pip 安装第三方包时发生的ssl证书错误

版权声明:本文为博主原创文章,转载时请注明出处,附上链接,谢谢。 https://blog.csdn.net/lendq/article/details/80414538

不改变原有基础环境下,可以采用跳过不验证的方式解决

# pip install --index-url=http://pypi.python.org/simple/ --trusted-host pypi.python.org   包名

# pip --trusted-host pypi.python.org install  包名

如果需要更根本解决该问题

先确定你是否使用代理

如果使用代理 ,在easy_install

set http_proxy="user:password@server:port"
set https_proxy="user:password@server:port"

pip

# --proxy http://user:pass@proxyAddress:proxyPort

或者你可以重新安装一个套件,因官网的tslv1 与 你所用版本不一致时会发生错误

curl https://bootstrap.pypa.io/get-pip.py | python
pip install --upgrade pip
展开阅读全文

没有更多推荐了,返回首页